Skip to main content
PATCH
/
api
/
v1
/
commission-lines
/
{id}
Update a commission line
curl --request PATCH \
  --url https://api.introw.io/api/v1/commission-lines/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "amount": "750.00",
  "description": "Q1 referral bonus (adjusted)"
}
'
{
  "data": {
    "id": "cln_4d5e6f7g8h9i0j1k2l3m4n5o",
    "partnerId": "ptn_01HVK6Y8Z8Q7J8J8J8J8J8J8J8",
    "payoutId": null,
    "description": "Q1 referral bonus (adjusted)",
    "amount": "750.00",
    "sourceAmount": "10000.00",
    "currency": "USD",
    "status": "PENDING",
    "planName": "Referral plan",
    "periodEnd": "2026-03-31T23:59:59.000Z",
    "createdAt": "2026-04-05T09:00:00.000Z",
    "updatedAt": "2026-04-05T09:00:00.000Z"
  }
}

Authorizations

x-api-key
string
header
required

Introw API key shown once when the credential is created.

Path Parameters

id
string
required

Commission line identifier.

Minimum string length: 1

Body

application/json
amount
string

Commission amount as a decimal string, e.g. "500.00".

Minimum string length: 1
currency
string

ISO 4217 currency code, e.g. "USD".

Required string length: 3
description
string

Free-text description of the commission line.

Maximum string length: 2000
sourceAmount
string | null

Originating deal/source amount the commission was derived from.

note
string | null

Internal note stored on the line. Pass null to clear.

Maximum string length: 2000

Response

Commission line updated successfully.

data
object
required